Bug 832734 - Grub2 fails to install (from Anaconda) onto a RAID-1
Grub2 fails to install (from Anaconda) onto a RAID-1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 19:02 EDT by H. Peter Anvin
Modified: 2013-07-31 14:27 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:26:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2012-06-16 19:02:15 EDT
Description of problem:
During installation, Anaconda offers to install Grub2 on the RAID-1 containing /boot.  However, it pops

Version-Release number of selected component (if applicable):
Fedora 17 x86-64 release media

Steps to Reproduce:
1. Create a system with partitions, including a RAID-1 /boot (no LVM)
2. Select /dev/md0 as the boot device
3. At the end of installation, Anaconda says "something went wrong in installing your boot loader, the system may be unbootable"
4. The system is, indeed, unbootable.
Comment 1 Vladimir Serbinenko 2012-06-16 19:14:25 EDT
Boot device is where the bootsector goes. It has to be real disk, not RAID-1 virtual one.
Comment 2 Mads Kiilerich 2012-06-16 19:32:56 EDT
Reassigning to anaconda. It shouldn't offer the possibility of using a virtual device for the boot loader.
Comment 3 H. Peter Anvin, Intel 2012-06-19 00:02:07 EDT
It seems odd that it should not be able to install on a RAID-1, which is just the disk replicated identically across N disks (thus satisfying the requirement of actually being able to boot from any of the disks), but perhaps Grub2 is just plain broken that way.
Comment 4 Vladimir Serbinenko 2012-06-19 04:38:13 EDT
mdraid 1.1 and 1.2 are not. They are shifted by few sectors. On mdraid 1.0 and mdraid 0.9x you can declare mdX as BIOS-visible disk by manually specifying it in device.map. But the whole concept of treating one member of RAID-1 as if it was complete disk is broken.
Comment 5 Brian Lane 2012-06-19 12:29:08 EDT
This was working. Anaconda is smart enough to install to each of the RAID-1 members. Please attach the logs from /tmp/*log to this bug as individual text/plain files.
Comment 6 H. Peter Anvin, Intel 2012-06-19 12:48:13 EDT
Too late; the machine has already been wiped and put into production using BIOS fakeraid.
Comment 7 Fedora End Of Life 2013-07-03 15:38:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 14:27:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.